# _FSETFD
<span class="source-link">[[Source]](src/process/_pipe.md#L12)</span>
```pony
primitive val _FSETFD
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/_pipe.md#L12)</span>


```pony
new val create()
: _FSETFD val^
```

#### Returns

* [_FSETFD](process-_FSETFD.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/process/_pipe.md#L13)</span>


```pony
fun box apply()
: I32 val
```

#### Returns

* [I32](builtin-I32.md) val

---

### eq
<span class="source-link">[[Source]](src/process/_pipe.md#L13)</span>


```pony
fun box eq(
  that: _FSETFD val)
: Bool val
```
#### Parameters

*   that: [_FSETFD](process-_FSETFD.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/process/_pipe.md#L13)</span>


```pony
fun box ne(
  that: _FSETFD val)
: Bool val
```
#### Parameters

*   that: [_FSETFD](process-_FSETFD.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

